package
{

	import away3d.animators.*;
	import away3d.animators.data.*;
	import away3d.cameras.*;
	import away3d.containers.*;
	import away3d.core.base.*;
	import away3d.core.math.*;
	import away3d.core.utils.*;
	import away3d.events.MouseEvent3D;
	import away3d.loaders.*;
	import away3d.materials.*;
	import away3d.primitives.*;

	import flash.display.*;
	import flash.events.*;
	import flash.geom.*;

	[SWF(backgroundColor="#ffffff", frameRate="30", quality="LOW", width="200", height="200")]
	public class anim6 extends Sprite
	{
		private var _Scene:Scene3D;
		private var _Camera3D:Camera3D;
		private var _View:View3D;
		private var _MaterialRed:WireColorMaterial;
		private var _MaterialGreen:WireColorMaterial;

		public function anim6()
		{
			ExempleInteraction();
		}

		private function ExempleInteraction():void
		{
			_Scene=new Scene3D();

			_Camera3D=new Camera3D();
			_Camera3D.zoom=2;
			_Camera3D.focus=2000;
			_Camera3D.lookAt(new Vector3D(0, 0, 0));

			_View=new View3D({x: stage.stageWidth * .5, y: stage.stageHeight * .5});
			_View.scene=_Scene;
			_View.camera=_Camera3D;
			addChild(_View);

			_MaterialRed=new WireColorMaterial(0xcc0000);
			_MaterialGreen=new WireColorMaterial(0x00cc00);

			var cube:Cube=new Cube();
			cube.scale(0.5);
			cube.material=_MaterialGreen

			cube.addEventListener(MouseEvent3D.MOUSE_DOWN, onCubeMouseDown);
			cube.addEventListener(MouseEvent3D.MOUSE_UP, onCubeMouseUp);

			_View.scene.addChild(cube);
			cube.rotationX=15;
			cube.rotationY=15;

			_View.render();
		}

		private function onCubeMouseDown(event:MouseEvent3D):void
		{
			var cube:Cube=event.target as Cube;
			cube.material=_MaterialRed
			_View.render();
		}

		private function onCubeMouseUp(event:MouseEvent3D):void
		{
			var cube:Cube=event.target as Cube;
			cube.material=_MaterialGreen
			_View.render();
		}
	}
}